<?php

declare(strict_types=1);

namespace App\Filament\Resources\DberpNumberSequences\Pages;

use App\Filament\Resources\DberpNumberSequences\DberpNumberSequenceResource;
use App\Filament\Resources\Pages\EditRecord;

class EditDberpNumberSequence extends EditRecord
{
    protected static string $resource = DberpNumberSequenceResource::class;

    protected function getHeaderActions(): array
    {
        return [];
    }

    /**
     * @param  array<string, mixed>  $data
     * @return array<string, mixed>
     */
    protected function mutateFormDataBeforeSave(array $data): array
    {
        unset($data['code']);

        return $data;
    }
}
